summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGeorgy Yakovlev <gyakovlev@gentoo.org>2018-11-22 14:14:33 -0800
committerGeorgy Yakovlev <gyakovlev@gentoo.org>2018-11-22 14:14:33 -0800
commit57d8b0d3da04c2972c497e295c23e4875bc88a67 (patch)
tree227f6a005f22e808a85f8729f10be48314de1941 /net-dns
parentmedia-sound/lmms: Fix build with Qt 5.11.0 (diff)
downloadgentoo-57d8b0d3da04c2972c497e295c23e4875bc88a67.tar.gz
gentoo-57d8b0d3da04c2972c497e295c23e4875bc88a67.tar.bz2
gentoo-57d8b0d3da04c2972c497e295c23e4875bc88a67.zip
net-dns/dnscrypt-proxy: version bump to 2.0.19
Package-Manager: Portage-2.3.51, Repoman-2.3.12 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
Diffstat (limited to 'net-dns')
-rw-r--r--net-dns/dnscrypt-proxy/Manifest1
-rw-r--r--net-dns/dnscrypt-proxy/dnscrypt-proxy-2.0.19.ebuild108
2 files changed, 109 insertions, 0 deletions
diff --git a/net-dns/dnscrypt-proxy/Manifest b/net-dns/dnscrypt-proxy/Manifest
index 6a4c3e65c2e..fdcd722e24d 100644
--- a/net-dns/dnscrypt-proxy/Manifest
+++ b/net-dns/dnscrypt-proxy/Manifest
@@ -1,2 +1,3 @@
DIST dnscrypt-proxy-2.0.17.tar.gz 3364933 BLAKE2B 65f2f1c91cc175a3bc92103dd0a2984dfccf5b961d070097035e8bd8058c7eab41c05cd3fabbff729f9521b16ebbfb188008c65efa5c89578b4b54ce43348d05 SHA512 c1cb2cfff4a5f6eba81ac3b520ddb3acb311031588495b9f94a7ee5ab35ed0827a856369ce0ac7ff206445dbf24f7931cf937ccd9f724b4e38c97f10814df129
DIST dnscrypt-proxy-2.0.18.tar.gz 3334780 BLAKE2B df72449c6aef65d2cd91eca135bc0a2e1480f87cd06a368ffdb2edb4d5ec0901264a02121ec0ff2f2c9a55d8c2253cb2085f0e27b140420ee4f4cb1ddb854c87 SHA512 e37d100a7394cc46e0fbe054c988fca887584cf58c9101a7fb59a6554dc50a864a4f9fc6d403694292bc57aa29f477172011e9c6ba0df8f1bbf96cfbaa5862af
+DIST dnscrypt-proxy-2.0.19.tar.gz 3339713 BLAKE2B e65b5ed8243aa6cf471700c6edba6e843fdf6482443335ec74201363657b23a7c6e432318e4de508120b6210cecd02666d97bb62a5f2968ce7d4813518eb3997 SHA512 4501a64717c0f2a9313e9328340e466c9ec325d09ef548f6af9a7855ff3497fb741269a17b397a36e2a120519820378e9f98a6a768a3678ea8144ee4690364f6
diff --git a/net-dns/dnscrypt-proxy/dnscrypt-proxy-2.0.19.ebuild b/net-dns/dnscrypt-proxy/dnscrypt-proxy-2.0.19.ebuild
new file mode 100644
index 00000000000..e2157844bf1
--- /dev/null
+++ b/net-dns/dnscrypt-proxy/dnscrypt-proxy-2.0.19.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+EGO_PN="github.com/jedisct1/${PN}"
+
+inherit fcaps golang-build systemd user
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://${EGO_PN}.git"
+else
+ SRC_URI="https://${EGO_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~x86"
+fi
+
+DESCRIPTION="A flexible DNS proxy, with support for encrypted DNS protocols"
+HOMEPAGE="https://github.com/jedisct1/dnscrypt-proxy"
+
+LICENSE="ISC"
+SLOT="0"
+IUSE="pie test"
+
+FILECAPS=( cap_net_bind_service+ep usr/bin/dnscrypt-proxy )
+PATCHES=( "${FILESDIR}"/config-full-paths-r10.patch )
+
+pkg_setup() {
+ enewgroup dnscrypt-proxy
+ enewuser dnscrypt-proxy -1 -1 /var/empty dnscrypt-proxy
+}
+
+src_prepare() {
+ default
+ # Create directory structure suitable for building
+ mkdir -p "src/${EGO_PN%/*}" || die
+ mv "${PN}" "src/${EGO_PN}" || die
+ mv "vendor" "src/" || die
+}
+
+src_configure() {
+ EGO_BUILD_FLAGS="-buildmode=$(usex pie pie default)"
+}
+
+src_install() {
+ dobin dnscrypt-proxy
+
+ insinto /etc/dnscrypt-proxy
+ newins "src/${EGO_PN}"/example-dnscrypt-proxy.toml dnscrypt-proxy.toml
+ doins "src/${EGO_PN}"/example-{blacklist.txt,whitelist.txt}
+ doins "src/${EGO_PN}"/example-{cloaking-rules.txt,forwarding-rules.txt}
+
+ insinto /usr/share/dnscrypt-proxy
+ doins -r "utils/generate-domains-blacklists/."
+
+ newinitd "${FILESDIR}"/dnscrypt-proxy.initd dnscrypt-proxy
+ newconfd "${FILESDIR}"/dnscrypt-proxy.confd dnscrypt-proxy
+ systemd_newunit "${FILESDIR}"/dnscrypt-proxy.service dnscrypt-proxy.service
+ systemd_newunit "${FILESDIR}"/dnscrypt-proxy.socket dnscrypt-proxy.socket
+
+ einstalldocs
+}
+
+pkg_postinst() {
+ fcaps_pkg_postinst
+
+ if ! use filecaps; then
+ ewarn "'filecaps' USE flag is disabled"
+ ewarn "${PN} will fail to listen on port 53"
+ ewarn "please do one the following:"
+ ewarn "1) re-enable 'filecaps'"
+ ewarn "2) change port to > 1024"
+ ewarn "3) configure to run ${PN} as root (not recommended)"
+ ewarn
+ fi
+
+ local v
+ for v in ${REPLACING_VERSIONS}; do
+ if [[ ${v} == 1.* ]] ; then
+ elog "Version 2 is a complete rewrite of ${PN}"
+ elog "please clean up old config/log files"
+ elog
+ fi
+ if [[ ${v} == 2.* ]] ; then
+ elog "As of version 2.0.12 of ${PN} runs as an 'dnscrypt-proxy' user/group"
+ elog "you can remove obsolete 'dnscrypt' accounts from the system"
+ elog
+ fi
+ done
+
+ if systemd_is_booted || has_version sys-apps/systemd; then
+ elog "Using systemd socket activation may cause issues with speed"
+ elog "latency and reliability of ${PN} and is discouraged by upstream"
+ elog "Existing installations advised to disable 'dnscrypt-proxy.socket'"
+ elog "It is disabled by default for new installations"
+ elog "check "$(systemd_get_systemunitdir)/${PN}.service" for details"
+ elog
+
+ fi
+
+ elog "After starting the service you will need to update your"
+ elog "/etc/resolv.conf and replace your current set of resolvers"
+ elog "with:"
+ elog
+ elog "nameserver 127.0.0.1"
+ elog
+ elog "Also see https://github.com/jedisct1/${PN}/wiki"
+}